<?php
include "../koneksi.php";

$id = $_POST['id'];
$date_return = $_POST['date_return'];
$ekspedisi = $_POST['ekspedisi'];
$customer = $_POST['customer'];
$sj = $_POST['sj'];
$qty = $_POST['qty'];
$qty2 = $_POST['qty2'];
$deskripsi = $_POST['deskripsi'];

		if ($date_return == '') {
		    $data['error']['edit_date_return'] = 'Tanggal return tidak boleh kosong';
		}
		if ($customer == '') {
		    $data['error']['edit_customer'] = 'Customer Tidak Boleh Kosong';
		}
		if ($ekspedisi == '') {
		    $data['error']['edit_ekspedisi'] = 'Supir Ekspedisi Tidak Boleh Kosong';
		}
		if (empty($data['error'])) {
			$query = "UPDATE `return` SET
											Date_Return = '$date_return',
											DetailEkspedisi_ID = '$ekspedisi',
											CustomerID = '$customer',
											SJ_Return = '$sj',
											Qty = '$qty',
											Qty2 = '$qty2',
											Deskripsi = '$deskripsi'
											WHERE ReturnID = '$id'
											";

			mysqli_query($koneksi, $query)
			or die ("Gagal Perintah SQL".mysql_error());
			$data['hasil'] = 'sukses';
		} else {
			$data['hasil'] = 'gagal';
		}
		echo json_encode($data);

?>

